#include "GameObjectListIterator.h"

GameObjectListIterator::GameObjectListIterator(GameObjectList *pL){
	this->pList=pL;
}
GameObjectListIterator::~GameObjectListIterator(){}
void GameObjectListIterator::first(){
	this->index=0;
}
void GameObjectListIterator::next(){
	this->index++;
}
bool GameObjectListIterator::isDone(){
	if(this->index==this->pList->count){
		return true;
	}
	return false;
}
GameObject *GameObjectListIterator::currentObj(){
	return this->pList->getAt(this->index);
}